const TokenKey = 'App-Token'
const UserRole = 'App-UserRole'

const UserType = 'App-UserType'

const UserNameKey = 'App-UserName'
const PasswordKey = 'App-Password'

export function getToken() {
	return uni.getStorageSync(TokenKey)
}

export function setToken(token) {
	return uni.setStorageSync(TokenKey, token)
}

export function removeToken() {
	return uni.removeStorageSync(TokenKey)
}

export function getUserRole() {
	return uni.getStorageSync(UserRole)
}

export function setUserRole(role) {
	return uni.setStorageSync(UserRole, role)
}

export function removeUserRole() {
	return uni.removeStorageSync(UserRole)
}


export function getUserType() {
	return uni.getStorageSync(UserType)
}

export function setUserType(type) {
	return uni.setStorageSync(UserType, type)
}

export function removeUserType() {
	return uni.removeStorageSync(UserType)
}

export function getUserName() {
	return uni.getStorageSync(UserNameKey)
}

export function setUserName(userName) {
	return uni.setStorageSync(UserNameKey, userName)
}

export function removeUserName() {
	return uni.removeStorageSync(UserNameKey)
}

export function getPassword() {
	return uni.getStorageSync(PasswordKey)
}

export function setPassword(password) {
	return uni.setStorageSync(PasswordKey, password)
}

export function removePassword() {
	return uni.removeStorageSync(PasswordKey)
}